## stud 0.3

=== Makefile ===
# [g]make USE_xxxx=1
#
# USE_SHARED_CACHE   :   enable/disable a shared session cache (disabled by default)

DESTDIR =
PREFIX  = /usr/local
BINDIR  = $(PREFIX)/bin
MANDIR  = $(PREFIX)/share/man

CFLAGS  = -O2 -g -std=c99 -fno-strict-aliasing -Wall -W -D_GNU_SOURCE
LDFLAGS = -lssl -lcrypto -lev
OBJS    = stud.o ringbuffer.o

all: realall

# Shared cache feature
ifneq ($(USE_SHARED_CACHE),)
CFLAGS += -DUSE_SHARED_CACHE -DUSE_SYSCALL_FUTEX
OBJS   += shctx.o ebtree/libebtree.a
ALL    += ebtree

ebtree/libebtree.a: $(wildcard ebtree/*.c)
	make -C ebtree
ebtree:
	@[ -d ebtree ] || ( \
		echo "*** Download libebtree at http://1wt.eu/tools/ebtree/" ; \
		echo "*** Untar it and make a link named 'ebtree' to point on it"; \
		exit 1 )
endif

ALL += stud
realall: $(ALL)

stud: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $^

install: $(ALL)
	install -d $(DESTDIR)$(BINDIR)
	install stud $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(MANDIR)/man8
	install -m 644 doc/stud.8 $(DESTDIR)$(MANDIR)/man8

clean:
	rm -f stud $(OBJS)


.PHONY: all realall

=== debian/changelog ===
stud (0.3-6) unstable; urgency=low

  [ Louis Bouchard ]
  * debian/patches/kill-children-on-sigterm.patch
    Fix stud to handle termination of children processes
    Closes: #725797

  [ Vincent Bernat ]
  * Not an NMU.

 -- Vincent Bernat <bernat@debian.org>  Mon, 28 Oct 2013 15:56:40 +0100

stud (0.3-5) unstable; urgency=low

  * Fix FTBFS when using --as-needed on non x86 arch.

 -- Vincent Bernat <bernat@debian.org>  Sat, 08 Jun 2013 23:08:58 +0200

stud (0.3-4) unstable; urgency=low

  * Add missing epoch to libev-dev dependency.
  * Fix FTBFS when using --as-needed. Patch from Julian Taylor.
    Closes: #710384
  * Fix Vcs-* links.
  * Update debian/watch file, thanks to Bart Martens.
  * Bump Standards-Version.
  * Drop use of /lib/init/vars.sh in init.d script.
  * Remove Christo Buschek from the uploader list. Closes: #706968.

 -- Vincent Bernat <bernat@debian.org>  Fri, 31 May 2013 00:05:25 +0200

stud (0.3-3) unstable; urgency=low

  * Fix FTBFS on kFreeBSD due to missing TCP_KEEPIDLE definition.

 -- Vincent Bernat <bernat@debian.org>  Mon, 25 Jun 2012 08:25:20 +0200

stud (0.3-2) unstable; urgency=low

  * Update debian/watch to use githubredir.debian.net.
  * Fix FTBFS issues due to the use of x86/x86_64 assembly. Patch from
    Peter Green. Closes: #653040.
  * Add "init" subcommand to /etc/init.d/stud.
  * Bump Standards-Version.
  * Enable hardening flags.

 -- Vincent Bernat <bernat@debian.org>  Sun, 24 Jun 2012 13:29:02 +0200

stud (0.3-1) unstable; urgency=low

  * Initial release (Closes: #636072)

 -- Vincent Bernat <bernat@debian.org>  Fri, 09 Dec 2011 19:53:41 +0100

=== debian/control ===
Source: stud
Section: net
Priority: extra
Maintainer: Debian stud Maintainers <pkg-stud-maintainers@lists.alioth.debian.org>
Uploaders: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper (>= 8.1.3~), libev-dev (>= 1:4), libssl-dev (>=1.0.0)
Standards-Version: 3.9.4
Homepage: https://github.com/bumptech/stud
Vcs-Git: git://anonscm.debian.org/pkg-stud/pkg-stud.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-stud/pkg-stud.git

Package: stud
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: scalable TLS unwrapping daemon
 stud is a network proxy that terminates TLS/SSL connections and
 forwards the unencrypted traffic to some backend. It's designed to
 handle 10s of thousands of connections efficiently on multicore
 machines. stud has very few features -- it's designed to be paired
 with an intelligent backend like haproxy or nginx.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ 

override_dh_auto_configure:
override_dh_auto_install:
override_dh_auto_build:
	make USE_SHARED_CACHE=1

#auto clean is insufficient, clean up some stuff manually
override_dh_clean: 
	dh_clean
	rm -rf build_dir
	rm -f *.o
	rm -f ebtree/*.o
	rm -f ebtree/*.a

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/bumptech/stud/tags .*/(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sat, 22 Dec 2012 15:35:34 +0000
